0

When I login in to my WordPress website, it shows this message:

Warning: ksort() expects parameter 1 to be array, object given
in <WordPress>/wp-content/plugins/bbpress/includes/core/template-functions.php on line 316

Screen shot of the message: Message Screen shot

2
1

First open wp-config.php file and add the following two lines:

// Disable display of errors and warnings 
define( 'WP_DEBUG_DISPLAY', false );
@ini_set( 'display_errors', 0 );

The above lines must be placed before:

require_once(ABSPATH . 'wp-settings.php');

After that you will not get the error message.

This step will not solve the error, it'll only suppress it.

Then update your WordPress and bbPress plugin. This is a known bbPress error and updating will fix it.

Note: If for some reason you still can't access to the Admin panel, then updating bbPress and WordPress manually should fix the error.

Once you are done updating, remove (or comment out) those two lines mentioned above and see if you still get the error. On live server, you should not display error anyway, so you may keep those lines.

Not the answer you're looking for? Browse other questions tagged or ask your own question.